<script setup lang="ts">
import { useMemberStore } from '@/stores/member'
import { usePromotionStore } from '@/stores/promotion'
import { useReceiptStore } from '@/stores/receipt'
import type { Receipt } from '@/types/Receipt'
import { onMounted, ref, computed } from 'vue'
import { ReceiptItem } from '@/types/ReceiptItem'
import receipt from '@/services/receipt'

const showreceipt = ref<Receipt[]>([])
const Hisheaders = [
  {
    title: 'ชื่อลูกค้า',
    key: 'fristName',
    width: '300px'
  },
  {
    title: 'ราคารวม',
    key: 'totalPrice',
    width: '300px'
  },
  {
    title: 'ส่วนลด',
    key: 'discount',
    width: '300px'
  },
  {
    title: 'โปรโมชั่นที่ใช้',
    key: 'usedPromotion',
    width: '100px'
  }
]

const promotionStore = usePromotionStore()
const receiptStore = useReceiptStore()
const memberStore = useMemberStore()
const tel = ref('')

async function onClick() {
  await memberStore.searchMember(tel.value)
  const currentMember = memberStore.getCurrentMember()
  if (!currentMember) {
    window.alert('Member not found!')
    tel.value = ''
  } else {
    receiptStore.receipt!.member = currentMember
    receiptStore.calReceipt()
  }
}



</script>

<template>
  <v-container>
    <v-row>
      <v-col></v-col>
      <v-col cols="3">
        <v-text-field
          v-model="tel"
          density="compact"
          variant="solo"
          label="Search Member"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        ></v-text-field>
      </v-col>
    </v-row>
    <v-row>
    </v-row>
    <v-row>
      <v-data-table
        :items="showreceipt"
        :headers="Hisheaders"
        class="elevation-1 custom-table"
        fixed-header
        height="350px"
      >
        <template v-slot:item="props">>
          <tr>
            <td>{{ receiptStore.getMemberName(props.item.memberId) }}</td>
            <td>{{ receiptStore.receipt?.memberId }}</td>
            <td>{{  }}</td>
            <td>{{  }}</td>
          </tr>
        </template>
      </v-data-table>
    </v-row>
  </v-container>
</template>
